package com.cm.common.wechat.config.pojo;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: WechatOfficialAccountAuthorizeProperties
 * @Description: 微信公众号授权配置
 * @Author: WangGeng
 * @Date: 2020/3/2 3:15 下午
 * @Version: 1.0
 **/
public class WechatOfficialAccountAuthorizeProperties {
    private String authorizeUrl;
    private String accessTokenUrl;
    private String accessTokenRefreshUrl;
    private String userinfoUrl;
    private String responseType;
    private String scope;
    private String state;
    private String grantType;

    public String getAuthorizeUrl() {
        return authorizeUrl == null ? "" : authorizeUrl.trim();
    }

    public void setAuthorizeUrl(String authorizeUrl) {
        this.authorizeUrl = authorizeUrl;
    }

    public String getAccessTokenUrl() {
        return accessTokenUrl == null ? "" : accessTokenUrl.trim();
    }

    public void setAccessTokenUrl(String accessTokenUrl) {
        this.accessTokenUrl = accessTokenUrl;
    }

    public String getAccessTokenRefreshUrl() {
        return accessTokenRefreshUrl == null ? "" : accessTokenRefreshUrl.trim();
    }

    public void setAccessTokenRefreshUrl(String accessTokenRefreshUrl) {
        this.accessTokenRefreshUrl = accessTokenRefreshUrl;
    }

    public String getUserinfoUrl() {
        return userinfoUrl == null ? "" : userinfoUrl.trim();
    }

    public void setUserinfoUrl(String userinfoUrl) {
        this.userinfoUrl = userinfoUrl;
    }

    public String getResponseType() {
        return responseType == null ? "" : responseType.trim();
    }

    public void setResponseType(String responseType) {
        this.responseType = responseType;
    }

    public String getScope() {
        return scope == null ? "" : scope.trim();
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getState() {
        return state == null ? "" : state.trim();
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getGrantType() {
        return grantType == null ? "" : grantType.trim();
    }

    public void setGrantType(String grantType) {
        this.grantType = grantType;
    }
}
